Bug 147543 - sleeping function called from invalid context
sleeping function called from invalid context
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 20:00 EST by David J. Schwartz
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 04:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David J. Schwartz 2005-02-08 20:00:14 EST
Description of problem:

Got a warning from the kernel reporting a sleeping function called 
from an invalid context. Kernel is 2.6.10-1.741_FC3smp. Trace is:

 NETDEV WATCHDOG eth0 transmit timed out
 Debug sleeping function called from invalid context at mm/slab.c:2061
 in_atomic():1, irqs_disabled():0
  [<c011babd>] __might_sleep+0x7b/0x85
  [<c013f120>] __kmalloc+0x40/0x81  
  [<c017d387>] proc_create+0x6f/0xc1
  [<c017d464>] proc_mkdir_mode+0x18/0x49
  [<c01377ca>] register_handler_proc+0x5f/0x6d
  [<c01370ab>] setup_irq+0xce/0xd7
  [<f885d02f>] e100_intr+0x0/0x116 [e100]
  [<c01371cd>] request_irq+0x70/0x87
  [<f885d9e4>] e100_up+0xea/0x18e [e100]
  [<c0279164>] dev_watchdog+0x0/0x91    
  [<c02791bd>] dev_watchdog+0x59/0x91
  [<c01252a7>] run_timer_softirq+0x118/0x137
  [<c0121f60>] __do_softirq+0x4c/0xb1
  [<c0105d9f>] do_softirq+0x41/0x48
  =======================
  [<c010470c>] apic_timer_interrupt+0x1c/0x24
  [<c0102018>] default_idle+0x0/0x2f         
  [<c0102041>] default_idle+0x29/0x2f
  [<c01020a0>] cpu_idle+0x26/0x3b
  [<c03727be>] start_kernel+0x179/0x17b
 e100 eth0 e100_watchdog link up, 100Mbps, full-duplex

System is dual P3-933, Intel eepro100 network card.

Version-Release number of selected component (if applicable):

2.6.10-1.741_FC3

How reproducible:

Unknown.

Steps to Reproduce:
1. Not reproducible.
2.
3.
  
Actual results:

The kernel oops/warning reported.

Expected results:

No such warnings.

Additional info:

The trace should provide sufficient information to fix the problem.
Comment 1 Dave Jones 2005-06-27 19:16:39 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Note You need to log in before you can comment on or make changes to this bug.